Bug 728721 - NullPointerException thrown when registering with an activation key bound to a pool that requires_consumer_type person
NullPointerException thrown when registering with an activation key bound to ...
Status: CLOSED CURRENTRELEASE
Product: Candlepin
Classification: Community
Component: candlepin (Show other bugs)
0.5
Unspecified Solaris
unspecified Severity medium
: ---
: ---
Assigned To: William Poteat
John Sefler
:
Depends On:
Blocks: rhsm-rhel62
  Show dependency treegraph
 
Reported: 2011-08-06 13:52 EDT by John Sefler
Modified: 2015-05-14 11:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-30 09:14:24 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2011-08-06 13:52:08 EDT
Description of problem:


Version-Release number of selected component (if applicable):
[root@jsefler-onprem-62candlepin proxy]# git show-ref | grep master
895fdff46e33a607d63350df9bdd7bdd275b9e17 refs/heads/master
895fdff46e33a607d63350df9bdd7bdd275b9e17 refs/remotes/origin/master


How reproducible:


Steps to Reproduce:
Find a pool for a product that requires_consumer_type person...

[root@jsefler-onprem-62server ~]# subscription-manager register --username=testuser1 --password=password --org=admin --type=person
The system has been registered with id: 837a727a-9113-47bc-a50f-94c55c0ef62d 
[root@jsefler-onprem-62server ~]# subscription-manager list --avail
+-------------------------------------------+
    Available Subscriptions
+-------------------------------------------+


ProductName:       	Awesome OS Developer Edition
ProductId:         	AWESOMEOS09XYU34         
PoolId:            	8a90f8c63196bb20013196bc8ff00610
Quantity:          	10                       
Expires:           	08/02/2012               
MachineType:       	physical                 


ProductName:       	Awesome OS Developer Edition
ProductId:         	AWESOMEOS09XYU34         
PoolId:            	8a90f8c63196bb20013196bc90180619
Quantity:          	5                        
Expires:           	08/02/2012               
MachineType:       	physical  


Pick one of these pools.... let's pick 8a90f8c63196bb20013196bc90180619

Now create an activation key...

[jsefler@jseflerT510 ~]$ curl -k --request POST --user testuser1:password --data '{"name":"ActivationKeyForPool8a90f8c63196bb20013196bc90180619"}' --header 'accept: application/json' --header 'content-type: application/json'  https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/owners/admin/activation_keys | python -mjson.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
120   311  100   311    0    63    652    132 --:--:-- --:--:-- --:--:--   847
{
    "created": "2011-08-06T17:29:24.743+0000", 
    "id": "8a90f8c63196bb200131a02464074395", 
    "name": "ActivationKeyForPool8a90f8c63196bb20013196bc90180619", 
    "owner": {
        "displayName": "Admin Owner", 
        "href": "/owners/admin", 
        "id": "8a90f8c63196bb20013196bb9e210006", 
        "key": "admin"
    }, 
    "pools": [], 
    "updated": "2011-08-06T17:29:24.743+0000"
}

Now bind this activation key to the person pool...

[jsefler@jseflerT510 ~]$ curl -k --request POST --user testuser1:password   https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/activation_keys/8a90f8c63196bb200131a02464074395/pools/8a90f8c63196bb20013196bc90180619 | python -mjson.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  2055  100  2055    0     0   3791      0 --:--:-- --:--:-- --:--:--  4745
{
    "accountNumber": "12331131231", 
    "activeSubscription": true, 
    "attributes": [], 
    "consumed": 0, 
    "contractNumber": "12", 
    "created": "2011-08-04T21:39:25.336+0000", 
    "endDate": "2012-08-03T00:00:00.000+0000", 
    "href": "/pools/8a90f8c63196bb20013196bc90180619", 
    "id": "8a90f8c63196bb20013196bc90180619", 
    "owner": {
        "displayName": "Admin Owner", 
        "href": "/owners/admin", 
        "id": "8a90f8c63196bb20013196bb9e210006", 
        "key": "admin"
    }, 
    "productAttributes": [
        {
            "created": "2011-08-04T21:39:25.336+0000", 
            "id": "8a90f8c63196bb20013196bc9018061a", 
            "name": "user_license_product", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-04T21:39:25.336+0000", 
            "value": "1144"
        }, 
        {
            "created": "2011-08-04T21:39:25.336+0000", 
            "id": "8a90f8c63196bb20013196bc9018061c", 
            "name": "requires_consumer_type", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-04T21:39:25.336+0000", 
            "value": "person"
        }, 
        {
            "created": "2011-08-04T21:39:25.336+0000", 
            "id": "8a90f8c63196bb20013196bc9018061b", 
            "name": "type", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-04T21:39:25.336+0000", 
            "value": "MKT"
        }, 
        {
            "created": "2011-08-04T21:39:25.336+0000", 
            "id": "8a90f8c63196bb20013196bc9018061d", 
            "name": "arch", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-04T21:39:25.336+0000", 
            "value": "ALL"
        }, 
        {
            "created": "2011-08-04T21:39:25.336+0000", 
            "id": "8a90f8c63196bb20013196bc9018061e", 
            "name": "version", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-04T21:39:25.336+0000", 
            "value": "1.0"
        }, 
        {
            "created": "2011-08-04T21:39:25.337+0000", 
            "id": "8a90f8c63196bb20013196bc90190620", 
            "name": "variant", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-04T21:39:25.337+0000", 
            "value": "ALL"
        }, 
        {
            "created": "2011-08-04T21:39:25.337+0000", 
            "id": "8a90f8c63196bb20013196bc9019061f", 
            "name": "user_license", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-04T21:39:25.337+0000", 
            "value": "unlimited"
        }
    ], 
    "productId": "AWESOMEOS09XYU34", 
    "productName": "Awesome OS Developer Edition", 
    "providedProducts": [], 
    "quantity": 5, 
    "restrictedToUsername": null, 
    "sourceEntitlement": null, 
    "startDate": "2011-08-04T00:00:00.000+0000", 
    "subscriptionId": "8a90f8c63196bb20013196bbf4a600c4", 
    "updated": "2011-08-04T21:39:25.336+0000"
}

Verify the pool is indeed bound to the activation key...

[jsefler@jseflerT510 ~]$ curl -k -u admin:admin --request GET https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/activation_keys/8a90f8c63196bb200131a02464074395 | python -mjson.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100   545  100   545    0     0   1215      0 --:--:-- --:--:-- --:--:--  1607
{
    "created": "2011-08-06T17:29:24.743+0000", 
    "id": "8a90f8c63196bb200131a02464074395", 
    "name": "ActivationKeyForPool8a90f8c63196bb20013196bc90180619", 
    "owner": {
        "displayName": "Admin Owner", 
        "href": "/owners/admin", 
        "id": "8a90f8c63196bb20013196bb9e210006", 
        "key": "admin"
    }, 
    "pools": [
        {
            "created": "2011-08-06T17:31:53.424+0000", 
            "id": "8a90f8c63196bb200131a026a8d04397", 
            "pool": {
                "href": "/pools/8a90f8c63196bb20013196bc90180619", 
                "id": "8a90f8c63196bb20013196bc90180619"
            }, 
            "quantity": 1, 
            "updated": "2011-08-06T17:31:53.424+0000"
        }
    ], 
    "updated": "2011-08-06T17:29:24.743+0000"
}
[jsefler@jseflerT510 ~]$ 

^^^ Yup, the person pool is bound to the key

Now let's try to register with the key...

[root@jsefler-onprem-62server ~]# subscription-manager register --force --org=admin --type=person --activationkey=ActivationKeyForPool8a90f8c63196bb20013196bc90180619
The system with UUID 837a727a-9113-47bc-a50f-94c55c0ef62d has been unregistered
Runtime Error null at org.fedoraproject.candlepin.resource.ConsumerResource.verifyPersonConsumer:379

^^^^
DID NOT EXPECT THAT RUNTIME ERROR.  EXPECTED TO BE REGISTERED AND BE CONSUMING A SUBSCRIPTION FROM THE PERSON POOL.

Here's catalina.out...
Aug 06 13:38:25 [QuartzScheduler_Worker-7] DEBUG org.fedoraproject.candlepin.pinsetter.core.TransactionalPinsetterJob - System
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
Request: GET  https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/
====Headers====
  host: jsefler-onprem-62candlepin.usersys.redhat.com:8443
  accept-encoding: identity
  accept-language: en-us
  content-type: application/json
  accept: application/json
====Headers====
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - ====RequestBody====
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.AuthInterceptor - Authentication check for /
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.OAuth - Checking for oauth authentication
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.ConsumerAuth - principal created for consumer '837a727a-9113-47bc-a50f-94c55c0ef62d
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor public java.util.List org.fedoraproject.candlepin.resource.RootResource.getRootResources()
Aug 06 13:38:26 [http-8443-5] WARN  org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Allowing invocation to proceed with no authentication required.
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
====Response====
  Status: 200
  Content-type: application/json
====Response====
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - ====ResponseBody====
Aug 06 13:38:26 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - [{"rel":"admin","href":"/admin"},{"rel":"users","href":"/users"},{"rel":"atom","href":"/atom"},{"rel":"serials","href":"/serials"},{"rel":"consumers","href":"/consumers"},{"rel":"consumertypes","href":"/consumertypes"},{"rel":"content","href":"/content"},{"rel":"crl","href":"/crl"},{"rel":"entitlements","href":"/entitlements"},{"rel":"events","href":"/events"},{"rel":"jobs","href":"/jobs"},{"rel":"owners","href":"/owners"},{"rel":"pools","href":"/pools"},{"rel":"products","href":"/products"},{"rel":"rules","href":"/rules"},{"rel":"statistics/generate","href":"/statistics/generate"},{"rel":"status","href":"/status"},{"rel":"subscriptions","href":"/subscriptions"},{"rel":"activation_keys","href":"/activation_keys"}]
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
Request: DELETE  https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/consumers/837a727a-9113-47bc-a50f-94c55c0ef62d
====Headers====
  host: jsefler-onprem-62candlepin.usersys.redhat.com:8443
  accept-encoding: identity
  accept-language: en-us
  content-type: application/json
  accept: application/json
====Headers====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - ====RequestBody====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.AuthInterceptor - Authentication check for /consumers/837a727a-9113-47bc-a50f-94c55c0ef62d
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.OAuth - Checking for oauth authentication
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.ConsumerAuth - principal created for consumer '837a727a-9113-47bc-a50f-94c55c0ef62d
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor public void org.fedoraproject.candlepin.resource.ConsumerResource.deleteConsumer(java.lang.String,org.fedoraproject.candlepin.auth.Principal)
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Verifying ALL access to class org.fedoraproject.candlepin.model.Consumer: 837a727a-9113-47bc-a50f-94c55c0ef62d
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.auth.Principal - org.fedoraproject.candlepin.auth.ConsumerPrincipal principal checking for access to: Consumer [id = 8a90f8c63196bb200131a021a44b4391, type = ConsumerType [id=8a90f8c63196bb20013196bb957a0002, label=person], getName() = testuser1]
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.auth.Principal -  perm class: org.fedoraproject.candlepin.auth.permissions.ConsumerPermission
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.auth.Principal -   permission granted
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resource.ConsumerResource - deleting  consumer_uuid837a727a-9113-47bc-a50f-94c55c0ef62d
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.policy.js.JsRules - Running rule: global in namespace: consumer_delete_name_space
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor protected void java.lang.Object.finalize() throws java.lang.Throwable
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor protected void java.lang.Object.finalize() throws java.lang.Throwable
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor protected void java.lang.Object.finalize() throws java.lang.Throwable
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor protected void java.lang.Object.finalize() throws java.lang.Throwable
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor protected void java.lang.Object.finalize() throws java.lang.Throwable
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor protected void java.lang.Object.finalize() throws java.lang.Throwable
Aug 06 13:38:27 [Finalizer] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.audit.EventSinkImpl - Sending event - Event [id=null, target=CONSUMER, type=DELETED, time=Sat Aug 06 13:38:27 EDT 2011, entity=8a90f8c63196bb200131a021a44b4391]
Aug 06 13:38:27 [Thread-458 (group:HornetQ-client-global-threads-2048177213)] DEBUG org.fedoraproject.candlepin.audit.ListenerWrapper - Got event: {"id":null,"type":"DELETED","timestamp":1312652307236,"principal":{"name":"testuser1","type":"consumer"},"target":"CONSUMER","oldEntity":"{\"name\":\"testuser1\",\"parent\":null,\"id\":\"8a90f8c63196bb200131a021a44b4391\",\"type\":{\"id\":\"8a90f8c63196bb20013196bb957a0002\",\"label\":\"person\",\"updated\":1312493901178,\"created\":1312493901178},\"owner\":{\"key\":\"admin\",\"id\":\"8a90f8c63196bb20013196bb9e210006\",\"displayName\":\"Admin Owner\",\"contentPrefix\":null,\"parentOwner\":null,\"upstreamUuid\":null,\"href\":\"/owners/admin\",\"updated\":1312493903393,\"created\":1312493903393},\"username\":\"testuser1\",\"idCert\":{\"id\":\"8a90f8c63196bb200131a021a66a4393\",\"serial\":{\"id\":4616772481347305226,\"expiration\":1344273984611,\"serial\":4616772481347305226,\"revoked\":false,\"collected\":false,\"updated\":1312651584611,\"created\":1312651584611},\"key\":\"-----BEGIN RSA PRIVATE KEY-----\\nMIIEogIBAAKCAQEAhJrNrsZNTfoowreImU3P6Dcut/fKu9Kpl838usDOLhzkOjr/\\nZp5VLp4W/P6WDm6HjY7DJcUNaCeUfyHwITZLqpf/rqaqai4P2LPH9cnqSP8B9EzZ\\njiQ2KORT6eHkQMJC+U3Vf7KWm4Z25Kv7TZyUMfokUFRPWFhpxbYoi8numpXO5AZa\\niUSvQxh5HpZDqjp3P2Rez9jJqSmibGXbMUUQC5S1U15ru+cvbrPtYAMFgwGPRNjb\\ndAo4HWCHgfIP9FsQuft+t5cxJZ/gi2WgNQAy/PdX6FwLJp25nnK/40M0b2AJWuci\\nJ2PVGVELCBaQtgzZDS8a9Yysdufaf6EgtttovQIDAQABAoIBAHl3U/FEtIs5Gx1C\\nAV5saIXOBn19/bcOwUrM5TQsaLDUxjqQ0GKvpleNeIFGsy2FEaYZn6h5WE6P8vaB\\nn/TMR4N8uDjDclbQ2rMl+4Sp8HHtJV0jCCWsBfBvNm6G/Q5U5AR5x5exf0P3Z/EP\\nmKL/SsB84cazc/r5AeqZcYqa7nWqZcdRlkDcCfSGmdBfCU3/njBetowdPcT0nj+q\\nKZwRz5XzFBLNdu/aUOxXQO4it9PFfjWfqpjmNpYcY/OUwXzDibSrhEgdvU8XWtFN\\nduv+gtU65u0l3x8JiQKljb5KvjRhTQTERbxGr5PqnqpQANGzB3O+6UC7azNFc5aQ\\n85rr4AECgYEA8wh1QLBnUv+I0iLI0QAxf8LSmaBsHOBhYsctlEcJ7xNE//p1r7N2\\nfpqE1y4YIUfQN6Wx4GMOxhOmAN2ayhQoNMb0FZEdgg3LswekuY7IeOOD2YmHCh3o\\nMFDP7XRqs+Fjc1DThjSMDG/OdLFCCGyVROcNZ1QKAh23O9WfWJJJWxECgYEAi64G\\nmpZUlLAc9tn9pTxIXnI2LPxNyu7Gu9/crCRh+Gh4d6RdgNIOKbRaj5809tSV+TY5\\nIQi5D0GYtYQq1VuJntklvCvJ5k4NUACUYTgAq4zoDB5eOyUxRZEfNEJBUZ2uhlIN\\n1UJ7n1ZuLOcBp0GaraNgE7Nd6Bo16ZkRBaLMeu0CgYA/duP3opk4yVYXWdILEfvb\\nGysXxxa0a7vCqbSzVeG4NtX76pG08i5tXTh3YKgYeMJc5b4PlI6VFyhwbW4wexcM\\nwS+YOi70eVnKRKK1eh3Lw834jrte3vR1OYUywwXiN2dbA65ZC3vO+5t0SZ2uyXwp\\nZBTR+NYsO0pQK7bS0FCroQKBgCVXMIzDA3l8W0HipNw3cWFORw1fpaxKiPZQsj2S\\nvF4cD5hsaFK31PFxNYSPmykhS7aDuGIMYuyhLKHZ41mGTxQYGO5lBmR7GTP587DJ\\nt+QklyQmOiq1lqZyVVUzISMgdDeUV/5a95FxGaMHXnnIIAGrW1Po74HM//yi3toS\\n23dBAoGAXOdMi7QtFsuzFzSRLouxOB0dFul0FxrcuDB3+2jOkR6tKMlz9Jjqyg/C\\nEjfag15aqJsN0wxbFhYDPPeVR4wU7cv4e5hwfzZDFGnWgAGBLNRecbg1OnYQ2OSl\\nh+yGYdJxwlVMt8r/qIfPFvR/KD+1WCpxsiF0o7nmTRVk6316jeY=\\n-----END RSA PRIVATE KEY-----\\n\",\"cert\":\"-----BEGIN CERTIFICATE-----\\nMIIDjzCCAvigAwIBAgIIQBISHG+BPwowDQYJKoZIhvcNAQEFBQAwVzE2MDQGA1UE\\nAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNlcnN5cy5yZWRoYXQuY29t\\nMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaDAeFw0xMTA4MDYxNzI2MjRa\\nFw0xMjA4MDYxNzI2MjRaMC8xLTArBgNVBAMTJDgzN2E3MjdhLTkxMTMtNDdiYy1h\\nNTBmLTk0YzU1YzBlZjYyZDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\\nAISaza7GTU36KMK3iJlNz+g3Lrf3yrvSqZfN/LrAzi4c5Do6/2aeVS6eFvz+lg5u\\nh42OwyXFDWgnlH8h8CE2S6qX/66mqmouD9izx/XJ6kj/AfRM2Y4kNijkU+nh5EDC\\nQvlN1X+ylpuGduSr+02clDH6JFBUT1hYacW2KIvJ7pqVzuQGWolEr0MYeR6WQ6o6\\ndz9kXs/Yyakpomxl2zFFEAuUtVNea7vnL26z7WADBYMBj0TY23QKOB1gh4HyD/Rb\\nELn7freXMSWf4ItloDUAMvz3V+hcCyaduZ5yv+NDNG9gCVrnIidj1RlRCwgWkLYM\\n2Q0vGvWMrHbn2n+hILbbaL0CAwEAAaOCAQYwggECMBEGCWCGSAGG+EIBAQQEAwIF\\noDALBgNVHQ8EBAMCBLAwgYgGA1UdIwSBgDB+gBQj9QcfMaiaiJimzdCVL4HaTaGN\\nG6FbpFkwVzE2MDQGA1UEAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNl\\ncnN5cy5yZWRoYXQuY29tMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaIIJ\\nAMrw1HM2BxdkMB0GA1UdDgQWBBRmEfheGzlvnqkgn5/W3ugcmDXRdjATBgNVHSUE\\nDDAKBggrBgEFBQcDAjAhBgNVHREEGjAYpBYwFDESMBAGA1UEAwwJdGVzdHVzZXIx\\nMA0GCSqGSIb3DQEBBQUAA4GBAIrXBAEF4hpDW1qZN9xqQsja06ZZZzCEjEtZQ5Ua\\nfhKHEujaHFIJUlUlLZ7RGVmWrjb6D+sZ4GcIK7GWAFv88KKYPAXQ0zXiVZiIq8xL\\nnBKwS+WuZCV83TmOfOK/Cy2B7CwV5BUQ8dLJykGJxWrdMbxVJqAuJ767WWjiniCV\\nQRR/\\n-----END CERTIFICATE-----\\n\",\"updated\":1312651585130,\"created\":1312651585130},\"uuid\":\"837a727a-9113-47bc-a50f-94c55c0ef62d\",\"facts\":{\"lscpu.vendor_id\":\"AuthenticAMD\",\"dmi.chassis.power_supply_state\":\"Safe\",\"dmi.bios.rom_size\":\"64 KB\",\"net.interface.eth0.netmask\":\"255.255.255.0\",\"net.interface.lo.netmask\":\"255.0.0.0\",\"dmi.chassis.thermal_state\":\"Safe\",\"lscpu.l1i_cache\":\"64K\",\"dmi.bios.runtime_size\":\"96 KB\",\"distribution.version\":\"6.1\",\"dmi.bios.bios_revision\":\"1.0\",\"dmi.memory.array_handle\":\"0x1000\",\"dmi.system.version\":\"Not Specified\",\"virt.is_guest\":\"true\",\"dmi.memory.total_width\":\"64 bit\",\"memory.swaptotal\":\"2064376\",\"dmi.system.product_name\":\"Not Specified\",\"lscpu.cpu_socket(s)\":\"2\",\"dmi.memory.size\":\"1024 MB\",\"uname.version\":\"#1 SMP Fri Jun 10 10:54:26 EDT 2011\",\"dmi.bios.version\":\"QEMU\",\"dmi.chassis.version\":\"Not Specified\",\"lscpu.cpu(s)\":\"2\",\"lscpu.numa_node0_cpu(s)\":\"0,1\",\"net.interface.lo.hwaddr\":\"00:00:00:00:00:00\",\"uname.nodename\":\"jsefler-onprem-62server.usersys.redhat.com\",\"dmi.chassis.security_status\":\"Unknown\",\"events.test.description\":\"Testing CONSUMER MODIFIED event fires on facts update.\",\"dmi.memory.speed\":\"  (ns)\",\"dmi.system.wake-up_type\":\"Power Switch\",\"net.interface.eth0.ipaddr\":\"10.16.120.77\",\"dmi.chassis.asset_tag\":\"Not Specified\",\"net.interface.lo.ipaddr\":\"127.0.0.1\",\"memory.memtotal\":\"1019852\",\"lscpu.on-line_cpu(s)_list\":\"0,1\",\"dmi.memory.form_factor\":\"DIMM\",\"dmi.processor.socket_designation\":\"CPU 1\",\"lscpu.numa_node(s)\":\"1\",\"dmi.memory.data_width\":\"64 bit\",\"dmi.system.status\":\"No errors detected\",\"events.test.currentTimeMillis\":\"1312497824064\",\"lscpu.stepping\":\"3\",\"dmi.memory.maximum_capacity\":\"1 GB\",\"lscpu.cpu_family\":\"6\",\"dmi.processor.type\":\"Central Processor\",\"lscpu.byte_order\":\"Little Endian\",\"lscpu.cpu_op-mode(s)\":\"32-bit, 64-bit\",\"dmi.memory.type\":\"RAM\",\"lscpu.core(s)_per_socket\":\"1\",\"network.hostname\":\"jsefler-onprem-62server.usersys.redhat.com\",\"dmi.chassis.manufacturer\":\"Not Specified\",\"lscpu.cpu_mhz\":\"2300.016\",\"dmi.system.uuid\":\"d5cbb7ab-542c-36c6-d2b8-116c085061ba\",\"virt.uuid\":\"d5cbb7ab-542c-36c6-d2b8-116c085061ba\",\"lscpu.model\":\"2\",\"dmi.processor.upgrade\":\"Other\",\"dmi.memory.error_correction_type\":\"Other\",\"system.entitlements_valid\":\"false\",\"dmi.processor.family\":\"Other\",\"lscpu.bogomips\":\"4600.03\",\"net.interface.eth0.hwaddr\":\"52:54:00:1e:16:04\",\"network.ipaddr\":\"10.16.120.77\",\"dmi.system.sku_number\":\"Not Specified\",\"dmi.memory.location\":\"Other\",\"dmi.bios.vendor\":\"QEMU\",\"distribution.id\":\"Santiago\",\"dmi.chassis.type\":\"Other\",\"cpu.cpu(s)\":\"2\",\"cpu.core(s)_per_socket\":\"1\",\"dmi.chassis.serial_number\":\"Not Specified\",\"lscpu.l1d_cache\":\"64K\",\"virt.host_type\":\"kvm\",\"dmi.memory.error_information_handle\":\"Not Provided\",\"dmi.system.serial_number\":\"Not Specified\",\"dmi.system.manufacturer\":\"Not Specified\",\"cpu.cpu_socket(s)\":\"2\",\"net.interface.eth0.broadcast\":\"10.16.120.255\",\"lscpu.hypervisor_vendor\":\"KVM\",\"lscpu.thread(s)_per_core\":\"1\",\"dmi.bios.relase_date\":\"01/01/2007\",\"dmi.chassis.boot-up_state\":\"Safe\",\"lscpu.architecture\":\"x86_64\",\"dmi.memory.use\":\"System Memory\",\"dmi.processor.version\":\"Not Specified\",\"dmi.memory.bank_locator\":\"Not Specified\",\"lscpu.l2_cache\":\"512K\",\"dmi.system.family\":\"Not Specified\",\"dmi.processor.voltage\":\" \",\"distribution.name\":\"Red Hat Enterprise Linux Server\",\"net.interface.lo.broadcast\":\"0.0.0.0\",\"uname.sysname\":\"Linux\",\"uname.release\":\"2.6.32-131.4.1.el6.x86_64\",\"dmi.processor.status\":\"Populated:Enabled\",\"uname.machine\":\"x86_64\",\"dmi.memory.locator\":\"DIMM 0\",\"dmi.bios.address\":\"0xe8000\",\"dmi.chassis.lock\":\"Not Present\",\"lscpu.virtualization_type\":\"full\"},\"href\":\"/consumers/837a727a-9113-47bc-a50f-94c55c0ef62d\",\"entitlementCount\":0,\"lastCheckin\":1312652307107,\"canActivate\":false,\"updated\":1312652307113,\"created\":1312651584587}","newEntity":null,"ownerId":"8a90f8c63196bb20013196bb9e210006","referenceId":null,"referenceType":null,"principalStore":"{\"name\":\"testuser1\",\"type\":\"consumer\"}","entityId":"8a90f8c63196bb200131a021a44b4391","consumerId":"8a90f8c63196bb200131a021a44b4391","targetName":"testuser1","messageText":null}
Aug 06 13:38:27 [Thread-458 (group:HornetQ-client-global-threads-2048177213)] DEBUG org.fedoraproject.candlepin.audit.ListenerWrapper - Got event: {"id":null,"type":"DELETED","timestamp":1312652307236,"principal":{"name":"testuser1","type":"consumer"},"target":"CONSUMER","oldEntity":"{\"name\":\"testuser1\",\"parent\":null,\"id\":\"8a90f8c63196bb200131a021a44b4391\",\"type\":{\"id\":\"8a90f8c63196bb20013196bb957a0002\",\"label\":\"person\",\"updated\":1312493901178,\"created\":1312493901178},\"owner\":{\"key\":\"admin\",\"id\":\"8a90f8c63196bb20013196bb9e210006\",\"displayName\":\"Admin Owner\",\"contentPrefix\":null,\"parentOwner\":null,\"upstreamUuid\":null,\"href\":\"/owners/admin\",\"updated\":1312493903393,\"created\":1312493903393},\"username\":\"testuser1\",\"idCert\":{\"id\":\"8a90f8c63196bb200131a021a66a4393\",\"serial\":{\"id\":4616772481347305226,\"expiration\":1344273984611,\"serial\":4616772481347305226,\"revoked\":false,\"collected\":false,\"updated\":1312651584611,\"created\":1312651584611},\"key\":\"-----BEGIN RSA PRIVATE KEY-----\\nMIIEogIBAAKCAQEAhJrNrsZNTfoowreImU3P6Dcut/fKu9Kpl838usDOLhzkOjr/\\nZp5VLp4W/P6WDm6HjY7DJcUNaCeUfyHwITZLqpf/rqaqai4P2LPH9cnqSP8B9EzZ\\njiQ2KORT6eHkQMJC+U3Vf7KWm4Z25Kv7TZyUMfokUFRPWFhpxbYoi8numpXO5AZa\\niUSvQxh5HpZDqjp3P2Rez9jJqSmibGXbMUUQC5S1U15ru+cvbrPtYAMFgwGPRNjb\\ndAo4HWCHgfIP9FsQuft+t5cxJZ/gi2WgNQAy/PdX6FwLJp25nnK/40M0b2AJWuci\\nJ2PVGVELCBaQtgzZDS8a9Yysdufaf6EgtttovQIDAQABAoIBAHl3U/FEtIs5Gx1C\\nAV5saIXOBn19/bcOwUrM5TQsaLDUxjqQ0GKvpleNeIFGsy2FEaYZn6h5WE6P8vaB\\nn/TMR4N8uDjDclbQ2rMl+4Sp8HHtJV0jCCWsBfBvNm6G/Q5U5AR5x5exf0P3Z/EP\\nmKL/SsB84cazc/r5AeqZcYqa7nWqZcdRlkDcCfSGmdBfCU3/njBetowdPcT0nj+q\\nKZwRz5XzFBLNdu/aUOxXQO4it9PFfjWfqpjmNpYcY/OUwXzDibSrhEgdvU8XWtFN\\nduv+gtU65u0l3x8JiQKljb5KvjRhTQTERbxGr5PqnqpQANGzB3O+6UC7azNFc5aQ\\n85rr4AECgYEA8wh1QLBnUv+I0iLI0QAxf8LSmaBsHOBhYsctlEcJ7xNE//p1r7N2\\nfpqE1y4YIUfQN6Wx4GMOxhOmAN2ayhQoNMb0FZEdgg3LswekuY7IeOOD2YmHCh3o\\nMFDP7XRqs+Fjc1DThjSMDG/OdLFCCGyVROcNZ1QKAh23O9WfWJJJWxECgYEAi64G\\nmpZUlLAc9tn9pTxIXnI2LPxNyu7Gu9/crCRh+Gh4d6RdgNIOKbRaj5809tSV+TY5\\nIQi5D0GYtYQq1VuJntklvCvJ5k4NUACUYTgAq4zoDB5eOyUxRZEfNEJBUZ2uhlIN\\n1UJ7n1ZuLOcBp0GaraNgE7Nd6Bo16ZkRBaLMeu0CgYA/duP3opk4yVYXWdILEfvb\\nGysXxxa0a7vCqbSzVeG4NtX76pG08i5tXTh3YKgYeMJc5b4PlI6VFyhwbW4wexcM\\nwS+YOi70eVnKRKK1eh3Lw834jrte3vR1OYUywwXiN2dbA65ZC3vO+5t0SZ2uyXwp\\nZBTR+NYsO0pQK7bS0FCroQKBgCVXMIzDA3l8W0HipNw3cWFORw1fpaxKiPZQsj2S\\nvF4cD5hsaFK31PFxNYSPmykhS7aDuGIMYuyhLKHZ41mGTxQYGO5lBmR7GTP587DJ\\nt+QklyQmOiq1lqZyVVUzISMgdDeUV/5a95FxGaMHXnnIIAGrW1Po74HM//yi3toS\\n23dBAoGAXOdMi7QtFsuzFzSRLouxOB0dFul0FxrcuDB3+2jOkR6tKMlz9Jjqyg/C\\nEjfag15aqJsN0wxbFhYDPPeVR4wU7cv4e5hwfzZDFGnWgAGBLNRecbg1OnYQ2OSl\\nh+yGYdJxwlVMt8r/qIfPFvR/KD+1WCpxsiF0o7nmTRVk6316jeY=\\n-----END RSA PRIVATE KEY-----\\n\",\"cert\":\"-----BEGIN CERTIFICATE-----\\nMIIDjzCCAvigAwIBAgIIQBISHG+BPwowDQYJKoZIhvcNAQEFBQAwVzE2MDQGA1UE\\nAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNlcnN5cy5yZWRoYXQuY29t\\nMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaDAeFw0xMTA4MDYxNzI2MjRa\\nFw0xMjA4MDYxNzI2MjRaMC8xLTArBgNVBAMTJDgzN2E3MjdhLTkxMTMtNDdiYy1h\\nNTBmLTk0YzU1YzBlZjYyZDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\\nAISaza7GTU36KMK3iJlNz+g3Lrf3yrvSqZfN/LrAzi4c5Do6/2aeVS6eFvz+lg5u\\nh42OwyXFDWgnlH8h8CE2S6qX/66mqmouD9izx/XJ6kj/AfRM2Y4kNijkU+nh5EDC\\nQvlN1X+ylpuGduSr+02clDH6JFBUT1hYacW2KIvJ7pqVzuQGWolEr0MYeR6WQ6o6\\ndz9kXs/Yyakpomxl2zFFEAuUtVNea7vnL26z7WADBYMBj0TY23QKOB1gh4HyD/Rb\\nELn7freXMSWf4ItloDUAMvz3V+hcCyaduZ5yv+NDNG9gCVrnIidj1RlRCwgWkLYM\\n2Q0vGvWMrHbn2n+hILbbaL0CAwEAAaOCAQYwggECMBEGCWCGSAGG+EIBAQQEAwIF\\noDALBgNVHQ8EBAMCBLAwgYgGA1UdIwSBgDB+gBQj9QcfMaiaiJimzdCVL4HaTaGN\\nG6FbpFkwVzE2MDQGA1UEAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNl\\ncnN5cy5yZWRoYXQuY29tMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaIIJ\\nAMrw1HM2BxdkMB0GA1UdDgQWBBRmEfheGzlvnqkgn5/W3ugcmDXRdjATBgNVHSUE\\nDDAKBggrBgEFBQcDAjAhBgNVHREEGjAYpBYwFDESMBAGA1UEAwwJdGVzdHVzZXIx\\nMA0GCSqGSIb3DQEBBQUAA4GBAIrXBAEF4hpDW1qZN9xqQsja06ZZZzCEjEtZQ5Ua\\nfhKHEujaHFIJUlUlLZ7RGVmWrjb6D+sZ4GcIK7GWAFv88KKYPAXQ0zXiVZiIq8xL\\nnBKwS+WuZCV83TmOfOK/Cy2B7CwV5BUQ8dLJykGJxWrdMbxVJqAuJ767WWjiniCV\\nQRR/\\n-----END CERTIFICATE-----\\n\",\"updated\":1312651585130,\"created\":1312651585130},\"uuid\":\"837a727a-9113-47bc-a50f-94c55c0ef62d\",\"facts\":{\"lscpu.vendor_id\":\"AuthenticAMD\",\"dmi.chassis.power_supply_state\":\"Safe\",\"dmi.bios.rom_size\":\"64 KB\",\"net.interface.eth0.netmask\":\"255.255.255.0\",\"net.interface.lo.netmask\":\"255.0.0.0\",\"dmi.chassis.thermal_state\":\"Safe\",\"lscpu.l1i_cache\":\"64K\",\"dmi.bios.runtime_size\":\"96 KB\",\"distribution.version\":\"6.1\",\"dmi.bios.bios_revision\":\"1.0\",\"dmi.memory.array_handle\":\"0x1000\",\"dmi.system.version\":\"Not Specified\",\"virt.is_guest\":\"true\",\"dmi.memory.total_width\":\"64 bit\",\"memory.swaptotal\":\"2064376\",\"dmi.system.product_name\":\"Not Specified\",\"lscpu.cpu_socket(s)\":\"2\",\"dmi.memory.size\":\"1024 MB\",\"uname.version\":\"#1 SMP Fri Jun 10 10:54:26 EDT 2011\",\"dmi.bios.version\":\"QEMU\",\"dmi.chassis.version\":\"Not Specified\",\"lscpu.cpu(s)\":\"2\",\"lscpu.numa_node0_cpu(s)\":\"0,1\",\"net.interface.lo.hwaddr\":\"00:00:00:00:00:00\",\"uname.nodename\":\"jsefler-onprem-62server.usersys.redhat.com\",\"dmi.chassis.security_status\":\"Unknown\",\"events.test.description\":\"Testing CONSUMER MODIFIED event fires on facts update.\",\"dmi.memory.speed\":\"  (ns)\",\"dmi.system.wake-up_type\":\"Power Switch\",\"net.interface.eth0.ipaddr\":\"10.16.120.77\",\"dmi.chassis.asset_tag\":\"Not Specified\",\"net.interface.lo.ipaddr\":\"127.0.0.1\",\"memory.memtotal\":\"1019852\",\"lscpu.on-line_cpu(s)_list\":\"0,1\",\"dmi.memory.form_factor\":\"DIMM\",\"dmi.processor.socket_designation\":\"CPU 1\",\"lscpu.numa_node(s)\":\"1\",\"dmi.memory.data_width\":\"64 bit\",\"dmi.system.status\":\"No errors detected\",\"events.test.currentTimeMillis\":\"1312497824064\",\"lscpu.stepping\":\"3\",\"dmi.memory.maximum_capacity\":\"1 GB\",\"lscpu.cpu_family\":\"6\",\"dmi.processor.type\":\"Central Processor\",\"lscpu.byte_order\":\"Little Endian\",\"lscpu.cpu_op-mode(s)\":\"32-bit, 64-bit\",\"dmi.memory.type\":\"RAM\",\"lscpu.core(s)_per_socket\":\"1\",\"network.hostname\":\"jsefler-onprem-62server.usersys.redhat.com\",\"dmi.chassis.manufacturer\":\"Not Specified\",\"lscpu.cpu_mhz\":\"2300.016\",\"dmi.system.uuid\":\"d5cbb7ab-542c-36c6-d2b8-116c085061ba\",\"virt.uuid\":\"d5cbb7ab-542c-36c6-d2b8-116c085061ba\",\"lscpu.model\":\"2\",\"dmi.processor.upgrade\":\"Other\",\"dmi.memory.error_correction_type\":\"Other\",\"system.entitlements_valid\":\"false\",\"dmi.processor.family\":\"Other\",\"lscpu.bogomips\":\"4600.03\",\"net.interface.eth0.hwaddr\":\"52:54:00:1e:16:04\",\"network.ipaddr\":\"10.16.120.77\",\"dmi.system.sku_number\":\"Not Specified\",\"dmi.memory.location\":\"Other\",\"dmi.bios.vendor\":\"QEMU\",\"distribution.id\":\"Santiago\",\"dmi.chassis.type\":\"Other\",\"cpu.cpu(s)\":\"2\",\"cpu.core(s)_per_socket\":\"1\",\"dmi.chassis.serial_number\":\"Not Specified\",\"lscpu.l1d_cache\":\"64K\",\"virt.host_type\":\"kvm\",\"dmi.memory.error_information_handle\":\"Not Provided\",\"dmi.system.serial_number\":\"Not Specified\",\"dmi.system.manufacturer\":\"Not Specified\",\"cpu.cpu_socket(s)\":\"2\",\"net.interface.eth0.broadcast\":\"10.16.120.255\",\"lscpu.hypervisor_vendor\":\"KVM\",\"lscpu.thread(s)_per_core\":\"1\",\"dmi.bios.relase_date\":\"01/01/2007\",\"dmi.chassis.boot-up_state\":\"Safe\",\"lscpu.architecture\":\"x86_64\",\"dmi.memory.use\":\"System Memory\",\"dmi.processor.version\":\"Not Specified\",\"dmi.memory.bank_locator\":\"Not Specified\",\"lscpu.l2_cache\":\"512K\",\"dmi.system.family\":\"Not Specified\",\"dmi.processor.voltage\":\" \",\"distribution.name\":\"Red Hat Enterprise Linux Server\",\"net.interface.lo.broadcast\":\"0.0.0.0\",\"uname.sysname\":\"Linux\",\"uname.release\":\"2.6.32-131.4.1.el6.x86_64\",\"dmi.processor.status\":\"Populated:Enabled\",\"uname.machine\":\"x86_64\",\"dmi.memory.locator\":\"DIMM 0\",\"dmi.bios.address\":\"0xe8000\",\"dmi.chassis.lock\":\"Not Present\",\"lscpu.virtualization_type\":\"full\"},\"href\":\"/consumers/837a727a-9113-47bc-a50f-94c55c0ef62d\",\"entitlementCount\":0,\"lastCheckin\":1312652307107,\"canActivate\":false,\"updated\":1312652307113,\"created\":1312651584587}","newEntity":null,"ownerId":"8a90f8c63196bb20013196bb9e210006","referenceId":null,"referenceType":null,"principalStore":"{\"name\":\"testuser1\",\"type\":\"consumer\"}","entityId":"8a90f8c63196bb200131a021a44b4391","consumerId":"8a90f8c63196bb200131a021a44b4391","targetName":"testuser1","messageText":null}
Aug 06 13:38:27 [Thread-458 (group:HornetQ-client-global-threads-2048177213)] DEBUG org.fedoraproject.candlepin.audit.ListenerWrapper - Got event: {"id":null,"type":"DELETED","timestamp":1312652307236,"principal":{"name":"testuser1","type":"consumer"},"target":"CONSUMER","oldEntity":"{\"name\":\"testuser1\",\"parent\":null,\"id\":\"8a90f8c63196bb200131a021a44b4391\",\"type\":{\"id\":\"8a90f8c63196bb20013196bb957a0002\",\"label\":\"person\",\"updated\":1312493901178,\"created\":1312493901178},\"owner\":{\"key\":\"admin\",\"id\":\"8a90f8c63196bb20013196bb9e210006\",\"displayName\":\"Admin Owner\",\"contentPrefix\":null,\"parentOwner\":null,\"upstreamUuid\":null,\"href\":\"/owners/admin\",\"updated\":1312493903393,\"created\":1312493903393},\"username\":\"testuser1\",\"idCert\":{\"id\":\"8a90f8c63196bb200131a021a66a4393\",\"serial\":{\"id\":4616772481347305226,\"expiration\":1344273984611,\"serial\":4616772481347305226,\"revoked\":false,\"collected\":false,\"updated\":1312651584611,\"created\":1312651584611},\"key\":\"-----BEGIN RSA PRIVATE KEY-----\\nMIIEogIBAAKCAQEAhJrNrsZNTfoowreImU3P6Dcut/fKu9Kpl838usDOLhzkOjr/\\nZp5VLp4W/P6WDm6HjY7DJcUNaCeUfyHwITZLqpf/rqaqai4P2LPH9cnqSP8B9EzZ\\njiQ2KORT6eHkQMJC+U3Vf7KWm4Z25Kv7TZyUMfokUFRPWFhpxbYoi8numpXO5AZa\\niUSvQxh5HpZDqjp3P2Rez9jJqSmibGXbMUUQC5S1U15ru+cvbrPtYAMFgwGPRNjb\\ndAo4HWCHgfIP9FsQuft+t5cxJZ/gi2WgNQAy/PdX6FwLJp25nnK/40M0b2AJWuci\\nJ2PVGVELCBaQtgzZDS8a9Yysdufaf6EgtttovQIDAQABAoIBAHl3U/FEtIs5Gx1C\\nAV5saIXOBn19/bcOwUrM5TQsaLDUxjqQ0GKvpleNeIFGsy2FEaYZn6h5WE6P8vaB\\nn/TMR4N8uDjDclbQ2rMl+4Sp8HHtJV0jCCWsBfBvNm6G/Q5U5AR5x5exf0P3Z/EP\\nmKL/SsB84cazc/r5AeqZcYqa7nWqZcdRlkDcCfSGmdBfCU3/njBetowdPcT0nj+q\\nKZwRz5XzFBLNdu/aUOxXQO4it9PFfjWfqpjmNpYcY/OUwXzDibSrhEgdvU8XWtFN\\nduv+gtU65u0l3x8JiQKljb5KvjRhTQTERbxGr5PqnqpQANGzB3O+6UC7azNFc5aQ\\n85rr4AECgYEA8wh1QLBnUv+I0iLI0QAxf8LSmaBsHOBhYsctlEcJ7xNE//p1r7N2\\nfpqE1y4YIUfQN6Wx4GMOxhOmAN2ayhQoNMb0FZEdgg3LswekuY7IeOOD2YmHCh3o\\nMFDP7XRqs+Fjc1DThjSMDG/OdLFCCGyVROcNZ1QKAh23O9WfWJJJWxECgYEAi64G\\nmpZUlLAc9tn9pTxIXnI2LPxNyu7Gu9/crCRh+Gh4d6RdgNIOKbRaj5809tSV+TY5\\nIQi5D0GYtYQq1VuJntklvCvJ5k4NUACUYTgAq4zoDB5eOyUxRZEfNEJBUZ2uhlIN\\n1UJ7n1ZuLOcBp0GaraNgE7Nd6Bo16ZkRBaLMeu0CgYA/duP3opk4yVYXWdILEfvb\\nGysXxxa0a7vCqbSzVeG4NtX76pG08i5tXTh3YKgYeMJc5b4PlI6VFyhwbW4wexcM\\nwS+YOi70eVnKRKK1eh3Lw834jrte3vR1OYUywwXiN2dbA65ZC3vO+5t0SZ2uyXwp\\nZBTR+NYsO0pQK7bS0FCroQKBgCVXMIzDA3l8W0HipNw3cWFORw1fpaxKiPZQsj2S\\nvF4cD5hsaFK31PFxNYSPmykhS7aDuGIMYuyhLKHZ41mGTxQYGO5lBmR7GTP587DJ\\nt+QklyQmOiq1lqZyVVUzISMgdDeUV/5a95FxGaMHXnnIIAGrW1Po74HM//yi3toS\\n23dBAoGAXOdMi7QtFsuzFzSRLouxOB0dFul0FxrcuDB3+2jOkR6tKMlz9Jjqyg/C\\nEjfag15aqJsN0wxbFhYDPPeVR4wU7cv4e5hwfzZDFGnWgAGBLNRecbg1OnYQ2OSl\\nh+yGYdJxwlVMt8r/qIfPFvR/KD+1WCpxsiF0o7nmTRVk6316jeY=\\n-----END RSA PRIVATE KEY-----\\n\",\"cert\":\"-----BEGIN CERTIFICATE-----\\nMIIDjzCCAvigAwIBAgIIQBISHG+BPwowDQYJKoZIhvcNAQEFBQAwVzE2MDQGA1UE\\nAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNlcnN5cy5yZWRoYXQuY29t\\nMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaDAeFw0xMTA4MDYxNzI2MjRa\\nFw0xMjA4MDYxNzI2MjRaMC8xLTArBgNVBAMTJDgzN2E3MjdhLTkxMTMtNDdiYy1h\\nNTBmLTk0YzU1YzBlZjYyZDCCASIwDQYJKoZIhvcNAQEBBQADggEPADCCAQoCggEB\\nAISaza7GTU36KMK3iJlNz+g3Lrf3yrvSqZfN/LrAzi4c5Do6/2aeVS6eFvz+lg5u\\nh42OwyXFDWgnlH8h8CE2S6qX/66mqmouD9izx/XJ6kj/AfRM2Y4kNijkU+nh5EDC\\nQvlN1X+ylpuGduSr+02clDH6JFBUT1hYacW2KIvJ7pqVzuQGWolEr0MYeR6WQ6o6\\ndz9kXs/Yyakpomxl2zFFEAuUtVNea7vnL26z7WADBYMBj0TY23QKOB1gh4HyD/Rb\\nELn7freXMSWf4ItloDUAMvz3V+hcCyaduZ5yv+NDNG9gCVrnIidj1RlRCwgWkLYM\\n2Q0vGvWMrHbn2n+hILbbaL0CAwEAAaOCAQYwggECMBEGCWCGSAGG+EIBAQQEAwIF\\noDALBgNVHQ8EBAMCBLAwgYgGA1UdIwSBgDB+gBQj9QcfMaiaiJimzdCVL4HaTaGN\\nG6FbpFkwVzE2MDQGA1UEAwwtanNlZmxlci1vbnByZW0tNjJjYW5kbGVwaW4udXNl\\ncnN5cy5yZWRoYXQuY29tMQswCQYDVQQGEwJVUzEQMA4GA1UEBwwHUmFsZWlnaIIJ\\nAMrw1HM2BxdkMB0GA1UdDgQWBBRmEfheGzlvnqkgn5/W3ugcmDXRdjATBgNVHSUE\\nDDAKBggrBgEFBQcDAjAhBgNVHREEGjAYpBYwFDESMBAGA1UEAwwJdGVzdHVzZXIx\\nMA0GCSqGSIb3DQEBBQUAA4GBAIrXBAEF4hpDW1qZN9xqQsja06ZZZzCEjEtZQ5Ua\\nfhKHEujaHFIJUlUlLZ7RGVmWrjb6D+sZ4GcIK7GWAFv88KKYPAXQ0zXiVZiIq8xL\\nnBKwS+WuZCV83TmOfOK/Cy2B7CwV5BUQ8dLJykGJxWrdMbxVJqAuJ767WWjiniCV\\nQRR/\\n-----END CERTIFICATE-----\\n\",\"updated\":1312651585130,\"created\":1312651585130},\"uuid\":\"837a727a-9113-47bc-a50f-94c55c0ef62d\",\"facts\":{\"lscpu.vendor_id\":\"AuthenticAMD\",\"dmi.chassis.power_supply_state\":\"Safe\",\"dmi.bios.rom_size\":\"64 KB\",\"net.interface.eth0.netmask\":\"255.255.255.0\",\"net.interface.lo.netmask\":\"255.0.0.0\",\"dmi.chassis.thermal_state\":\"Safe\",\"lscpu.l1i_cache\":\"64K\",\"dmi.bios.runtime_size\":\"96 KB\",\"distribution.version\":\"6.1\",\"dmi.bios.bios_revision\":\"1.0\",\"dmi.memory.array_handle\":\"0x1000\",\"dmi.system.version\":\"Not Specified\",\"virt.is_guest\":\"true\",\"dmi.memory.total_width\":\"64 bit\",\"memory.swaptotal\":\"2064376\",\"dmi.system.product_name\":\"Not Specified\",\"lscpu.cpu_socket(s)\":\"2\",\"dmi.memory.size\":\"1024 MB\",\"uname.version\":\"#1 SMP Fri Jun 10 10:54:26 EDT 2011\",\"dmi.bios.version\":\"QEMU\",\"dmi.chassis.version\":\"Not Specified\",\"lscpu.cpu(s)\":\"2\",\"lscpu.numa_node0_cpu(s)\":\"0,1\",\"net.interface.lo.hwaddr\":\"00:00:00:00:00:00\",\"uname.nodename\":\"jsefler-onprem-62server.usersys.redhat.com\",\"dmi.chassis.security_status\":\"Unknown\",\"events.test.description\":\"Testing CONSUMER MODIFIED event fires on facts update.\",\"dmi.memory.speed\":\"  (ns)\",\"dmi.system.wake-up_type\":\"Power Switch\",\"net.interface.eth0.ipaddr\":\"10.16.120.77\",\"dmi.chassis.asset_tag\":\"Not Specified\",\"net.interface.lo.ipaddr\":\"127.0.0.1\",\"memory.memtotal\":\"1019852\",\"lscpu.on-line_cpu(s)_list\":\"0,1\",\"dmi.memory.form_factor\":\"DIMM\",\"dmi.processor.socket_designation\":\"CPU 1\",\"lscpu.numa_node(s)\":\"1\",\"dmi.memory.data_width\":\"64 bit\",\"dmi.system.status\":\"No errors detected\",\"events.test.currentTimeMillis\":\"1312497824064\",\"lscpu.stepping\":\"3\",\"dmi.memory.maximum_capacity\":\"1 GB\",\"lscpu.cpu_family\":\"6\",\"dmi.processor.type\":\"Central Processor\",\"lscpu.byte_order\":\"Little Endian\",\"lscpu.cpu_op-mode(s)\":\"32-bit, 64-bit\",\"dmi.memory.type\":\"RAM\",\"lscpu.core(s)_per_socket\":\"1\",\"network.hostname\":\"jsefler-onprem-62server.usersys.redhat.com\",\"dmi.chassis.manufacturer\":\"Not Specified\",\"lscpu.cpu_mhz\":\"2300.016\",\"dmi.system.uuid\":\"d5cbb7ab-542c-36c6-d2b8-116c085061ba\",\"virt.uuid\":\"d5cbb7ab-542c-36c6-d2b8-116c085061ba\",\"lscpu.model\":\"2\",\"dmi.processor.upgrade\":\"Other\",\"dmi.memory.error_correction_type\":\"Other\",\"system.entitlements_valid\":\"false\",\"dmi.processor.family\":\"Other\",\"lscpu.bogomips\":\"4600.03\",\"net.interface.eth0.hwaddr\":\"52:54:00:1e:16:04\",\"network.ipaddr\":\"10.16.120.77\",\"dmi.system.sku_number\":\"Not Specified\",\"dmi.memory.location\":\"Other\",\"dmi.bios.vendor\":\"QEMU\",\"distribution.id\":\"Santiago\",\"dmi.chassis.type\":\"Other\",\"cpu.cpu(s)\":\"2\",\"cpu.core(s)_per_socket\":\"1\",\"dmi.chassis.serial_number\":\"Not Specified\",\"lscpu.l1d_cache\":\"64K\",\"virt.host_type\":\"kvm\",\"dmi.memory.error_information_handle\":\"Not Provided\",\"dmi.system.serial_number\":\"Not Specified\",\"dmi.system.manufacturer\":\"Not Specified\",\"cpu.cpu_socket(s)\":\"2\",\"net.interface.eth0.broadcast\":\"10.16.120.255\",\"lscpu.hypervisor_vendor\":\"KVM\",\"lscpu.thread(s)_per_core\":\"1\",\"dmi.bios.relase_date\":\"01/01/2007\",\"dmi.chassis.boot-up_state\":\"Safe\",\"lscpu.architecture\":\"x86_64\",\"dmi.memory.use\":\"System Memory\",\"dmi.processor.version\":\"Not Specified\",\"dmi.memory.bank_locator\":\"Not Specified\",\"lscpu.l2_cache\":\"512K\",\"dmi.system.family\":\"Not Specified\",\"dmi.processor.voltage\":\" \",\"distribution.name\":\"Red Hat Enterprise Linux Server\",\"net.interface.lo.broadcast\":\"0.0.0.0\",\"uname.sysname\":\"Linux\",\"uname.release\":\"2.6.32-131.4.1.el6.x86_64\",\"dmi.processor.status\":\"Populated:Enabled\",\"uname.machine\":\"x86_64\",\"dmi.memory.locator\":\"DIMM 0\",\"dmi.bios.address\":\"0xe8000\",\"dmi.chassis.lock\":\"Not Present\",\"lscpu.virtualization_type\":\"full\"},\"href\":\"/consumers/837a727a-9113-47bc-a50f-94c55c0ef62d\",\"entitlementCount\":0,\"lastCheckin\":1312652307107,\"canActivate\":false,\"updated\":1312652307113,\"created\":1312651584587}","newEntity":null,"ownerId":"8a90f8c63196bb20013196bb9e210006","referenceId":null,"referenceType":null,"principalStore":"{\"name\":\"testuser1\",\"type\":\"consumer\"}","entityId":"8a90f8c63196bb200131a021a44b4391","consumerId":"8a90f8c63196bb200131a021a44b4391","targetName":"testuser1","messageText":null}
Aug 06 13:38:27 [Thread-458 (group:HornetQ-client-global-threads-2048177213)] DEBUG org.fedoraproject.candlepin.audit.DatabaseListener - Received event: Event [id=null, target=CONSUMER, type=DELETED, time=Sat Aug 06 13:38:27 EDT 2011, entity=8a90f8c63196bb200131a021a44b4391]
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
====Response====
  Status: 204
  Content-type: null
====Response====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - ====ResponseBody====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
Request: GET  https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/
====Headers====
  host: jsefler-onprem-62candlepin.usersys.redhat.com:8443
  accept-encoding: identity
  accept-language: en-us
  content-type: application/json
  accept: application/json
====Headers====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - ====RequestBody====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.AuthInterceptor - Authentication check for /
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.OAuth - Checking for oauth authentication
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.SSLAuth - no certificate was present to authenticate the client
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor public java.util.List org.fedoraproject.candlepin.resource.RootResource.getRootResources()
Aug 06 13:38:27 [http-8443-5] WARN  org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Allowing invocation to proceed with no authentication required.
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
====Response====
  Status: 200
  Content-type: application/json
====Response====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - ====ResponseBody====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - [{"rel":"admin","href":"/admin"},{"rel":"users","href":"/users"},{"rel":"atom","href":"/atom"},{"rel":"serials","href":"/serials"},{"rel":"consumers","href":"/consumers"},{"rel":"consumertypes","href":"/consumertypes"},{"rel":"content","href":"/content"},{"rel":"crl","href":"/crl"},{"rel":"entitlements","href":"/entitlements"},{"rel":"events","href":"/events"},{"rel":"jobs","href":"/jobs"},{"rel":"owners","href":"/owners"},{"rel":"pools","href":"/pools"},{"rel":"products","href":"/products"},{"rel":"rules","href":"/rules"},{"rel":"statistics/generate","href":"/statistics/generate"},{"rel":"status","href":"/status"},{"rel":"subscriptions","href":"/subscriptions"},{"rel":"activation_keys","href":"/activation_keys"}]
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 
Request: POST  https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/consumers?owner=admin&activation_keys=ActivationKeyForPool8a90f8c63196bb20013196bc90180619
====Headers====
  host: jsefler-onprem-62candlepin.usersys.redhat.com:8443
  accept-encoding: identity
  content-length: 3712
  accept-language: en-us
  content-type: application/json
  accept: application/json
====Headers====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - ====RequestBody====
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter - 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
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.AuthInterceptor - Authentication check for /consumers
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.OAuth - Checking for oauth authentication
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.guice.I18nProvider - Getting i18n engine for locale en_US
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.resteasy.interceptor.SSLAuth - no certificate was present to authenticate the client
Aug 06 13:38:27 [http-8443-5] DEBUG org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Invoked security interceptor public org.fedoraproject.candlepin.model.Consumer org.fedoraproject.candlepin.resource.ConsumerResource.create(org.fedoraproject.candlepin.model.Consumer,org.fedoraproject.candlepin.auth.Principal,java.lang.String,java.lang.String,java.lang.String) throws org.fedoraproject.candlepin.exceptions.BadRequestException
Aug 06 13:38:27 [http-8443-5] WARN  org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor - Allowing invocation to proceed with no authentication required.
Aug 06 13:38:27 [http-8443-5] ERROR org.fedoraproject.candlepin.exceptions.CandlepinExceptionMapper - Runtime exception:
org.jboss.resteasy.spi.ApplicationException: java.lang.NullPointerException
	at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:154)
	at org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:248)
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:216)
	at org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:205)
	at org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:489)
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:466)
	at org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:120)
	at org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerDispatcher.java:200)
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:48)
	at org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.java:43)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:717)
	at com.google.inject.servlet.ServletDefinition.doService(ServletDefinition.java:216)
	at com.google.inject.servlet.ServletDefinition.service(ServletDefinition.java:141)
	at com.google.inject.servlet.ManagedServletPipeline.service(ManagedServletPipeline.java:93)
	at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:63)
	at org.fedoraproject.candlepin.servlet.filter.VersionFilter.doFilter(VersionFilter.java:47)
	at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:129)
	at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:59)
	at org.fedoraproject.candlepin.servlet.filter.logging.LoggingFilter.doFilter(LoggingFilter.java:55)
	at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:129)
	at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:59)
	at com.wideplay.warp.persist.PersistenceFilter$3.run(PersistenceFilter.java:141)
	at com.wideplay.warp.persist.internal.Lifecycles.failEarlyAndLeaveNoOneBehind(Lifecycles.java:29)
	at com.wideplay.warp.persist.PersistenceFilter.doFilter(PersistenceFilter.java:155)
	at com.google.inject.servlet.FilterDefinition.doFilter(FilterDefinition.java:129)
	at com.google.inject.servlet.FilterChainInvocation.doFilter(FilterChainInvocation.java:59)
	at com.google.inject.servlet.ManagedFilterPipeline.dispatch(ManagedFilterPipeline.java:122)
	at com.google.inject.servlet.GuiceFilter.doFilter(GuiceFilter.java:110)
	at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.java:235)
	at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:206)
	at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:233)
	at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:191)
	at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:127)
	at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:102)
	at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:109)
	at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:298)
	at org.apache.coyote.http11.Http11Processor.process(Http11Processor.java:859)
	at org.apache.coyote.http11.Http11Protocol$Http11ConnectionHandler.process(Http11Protocol.java:588)
	at org.apache.tomcat.util.net.JIoEndpoint$Worker.run(JIoEndpoint.java:489)
	at java.lang.Thread.run(Thread.java:679)
Caused by: java.lang.NullPointerException
	at org.fedoraproject.candlepin.resource.ConsumerResource.verifyPersonConsumer(ConsumerResource.java:379)
	at org.fedoraproject.candlepin.resource.ConsumerResource.create(ConsumerResource.java:293)
	at org.fedoraproject.candlepin.resource.ConsumerResource$$EnhancerByGuice$$47fa7283.CGLIB$create$1(<generated>)
	at org.fedoraproject.candlepin.resource.ConsumerResource$$EnhancerByGuice$$47fa7283$$FastClassByGuice$$27137f70.invoke(<generated>)
	at com.google.inject.internal.cglib.proxy.MethodProxy.invokeSuper(MethodProxy.java:228)
	at com.google.inject.InterceptorStackCallback$InterceptedMethodInvocation.proceed(InterceptorStackCallback.java:64)
	at org.fedoraproject.candlepin.auth.interceptor.SecurityInterceptor.invoke(SecurityInterceptor.java:99)
	at com.google.inject.InterceptorStackCallback$InterceptedMethodInvocation.proceed(InterceptorStackCallback.java:64)
	at com.google.inject.InterceptorStackCallback.intercept(InterceptorStackCallback.java:44)
	at org.fedoraproject.candlepin.resource.ConsumerResource$$EnhancerByGuice$$47fa7283.create(<generated>)
	at sun.reflect.GeneratedMethodAccessor325.invoke(Unknown Source)
	at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
	at java.lang.reflect.Method.invoke(Method.java:616)
	at org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:140)
	... 39 more
Comment 1 William Poteat 2011-08-11 14:45:56 EDT
Scenario solved with detection of person consumer type and activation key use. They are mutually exclusive.
Comment 2 John Sefler 2011-08-22 15:50:16 EDT
Verifying Version...
[root@jsefler-onprem-62server ~]# rpm -q subscription-manager
subscription-manager-0.96.6-1.git.8.6e109e4.el6.x86_64
[root@jsefler-onprem-62candlepin proxy]# git show-ref | grep master
b0ce936b3ad659e6ed5d24216acfa5e050c60851 refs/heads/master
b0ce936b3ad659e6ed5d24216acfa5e050c60851 refs/remotes/origin/master


[root@jsefler-onprem-62server ~]# subscription-manager register --username=testuser1 --password=password --org=admin --type=person
The system has been registered with id: 1c237d85-21c8-4f26-a427-5d5a35ac9fe3 
[root@jsefler-onprem-62server ~]# subscription-manager list --avail | grep PoolId
PoolId:            	8a90f8c631f1db330131f1dce02a0649
PoolId:            	8a90f8c631f1db330131f1dcdfd80640
[root@jsefler-onprem-62server ~]# 

[jsefler@jsefler ~]$ curl -k --request POST --user testuser1:password --data '{"name":"ActivationKeyForPool8a90f8c631f1db330131f1dce02a0649"}' --header 'accept: application/json' --header 'content-type: application/json' https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/owners/admin/activation_keys | python -mjson.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
124   311  103   311    0    63    572    115 --:--:-- --:--:-- --:--:--  2194
{
    "created": "2011-08-22T19:38:54.351+0000", 
    "id": "8a90f8c631f1db330131f300b20f0d5f", 
    "name": "ActivationKeyForPool8a90f8c631f1db330131f1dce02a0649", 
    "owner": {
        "displayName": "Admin Owner", 
        "href": "/owners/admin", 
        "id": "8a90f8c631f1db330131f1dba26c0006", 
        "key": "admin"
    }, 
    "pools": [], 
    "updated": "2011-08-22T19:38:54.351+0000"
}
[jsefler@jsefler ~]$ curl -k --request POST --user testuser1:password https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/activation_keys/8a90f8c631f1db330131f300b20f0d5f/pools/8a90f8c631f1db330131f1dce02a0649 | python -mjson.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
102  2055  102  2055    0     0   5516      0 --:--:-- --:--:-- --:--:--  9975
{
    "accountNumber": "12331131231", 
    "activeSubscription": true, 
    "attributes": [], 
    "consumed": 0, 
    "contractNumber": "12", 
    "created": "2011-08-22T14:20:09.641+0000", 
    "endDate": "2012-08-21T00:00:00.000+0000", 
    "href": "/pools/8a90f8c631f1db330131f1dce02a0649", 
    "id": "8a90f8c631f1db330131f1dce02a0649", 
    "owner": {
        "displayName": "Admin Owner", 
        "href": "/owners/admin", 
        "id": "8a90f8c631f1db330131f1dba26c0006", 
        "key": "admin"
    }, 
    "productAttributes": [
        {
            "created": "2011-08-22T14:20:09.642+0000", 
            "id": "8a90f8c631f1db330131f1dce02a064a", 
            "name": "user_license_product", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-22T14:20:09.642+0000", 
            "value": "1144"
        }, 
        {
            "created": "2011-08-22T14:20:09.642+0000", 
            "id": "8a90f8c631f1db330131f1dce02a064c", 
            "name": "requires_consumer_type", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-22T14:20:09.642+0000", 
            "value": "person"
        }, 
        {
            "created": "2011-08-22T14:20:09.642+0000", 
            "id": "8a90f8c631f1db330131f1dce02a064b", 
            "name": "type", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-22T14:20:09.642+0000", 
            "value": "MKT"
        }, 
        {
            "created": "2011-08-22T14:20:09.642+0000", 
            "id": "8a90f8c631f1db330131f1dce02a064d", 
            "name": "arch", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-22T14:20:09.642+0000", 
            "value": "ALL"
        }, 
        {
            "created": "2011-08-22T14:20:09.642+0000", 
            "id": "8a90f8c631f1db330131f1dce02a064e", 
            "name": "version", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-22T14:20:09.642+0000", 
            "value": "1.0"
        }, 
        {
            "created": "2011-08-22T14:20:09.642+0000", 
            "id": "8a90f8c631f1db330131f1dce02a0650", 
            "name": "variant", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-22T14:20:09.642+0000", 
            "value": "ALL"
        }, 
        {
            "created": "2011-08-22T14:20:09.642+0000", 
            "id": "8a90f8c631f1db330131f1dce02a064f", 
            "name": "user_license", 
            "productId": "AWESOMEOS09XYU34", 
            "updated": "2011-08-22T14:20:09.642+0000", 
            "value": "unlimited"
        }
    ], 
    "productId": "AWESOMEOS09XYU34", 
    "productName": "Awesome OS Developer Edition", 
    "providedProducts": [], 
    "quantity": 5, 
    "restrictedToUsername": null, 
    "sourceEntitlement": null, 
    "startDate": "2011-08-22T00:00:00.000+0000", 
    "subscriptionId": "8a90f8c631f1db330131f1dc223300c4", 
    "updated": "2011-08-22T14:20:09.641+0000"
}
[jsefler@jsefler ~]$ curl -k -u admin:admin --request GET https://jsefler-onprem-62candlepin.usersys.redhat.com:8443/candlepin/activation_keys/8a90f8c631f1db330131f300b20f0d5f | python -mjson.tool
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
109   545  109   545    0     0   3054      0 --:--:-- --:--:-- --:--:--  9237
{
    "created": "2011-08-22T19:38:54.351+0000", 
    "id": "8a90f8c631f1db330131f300b20f0d5f", 
    "name": "ActivationKeyForPool8a90f8c631f1db330131f1dce02a0649", 
    "owner": {
        "displayName": "Admin Owner", 
        "href": "/owners/admin", 
        "id": "8a90f8c631f1db330131f1dba26c0006", 
        "key": "admin"
    }, 
    "pools": [
        {
            "created": "2011-08-22T19:39:57.656+0000", 
            "id": "8a90f8c631f1db330131f301a9580d61", 
            "pool": {
                "href": "/pools/8a90f8c631f1db330131f1dce02a0649", 
                "id": "8a90f8c631f1db330131f1dce02a0649"
            }, 
            "quantity": 1, 
            "updated": "2011-08-22T19:39:57.656+0000"
        }
    ], 
    "updated": "2011-08-22T19:38:54.351+0000"
}
[jsefler@jsefler ~]$ 

[root@jsefler-onprem-62server ~]# subscription-manager register --force --org=admin --type=person --activationkey=ActivationKeyForPool8a90f8c631f1db330131f1dce02a0649
The system with UUID e0ee3f42-e26f-4735-9e4d-d2e62b61ca39 has been unregistered
A consumer type of 'person' cannot be used with activation keys

^^^ VERIFIED There is no longer a NullPointerException thrown.  Instead the register attempt is blocked with stderr: A consumer type of 'person' cannot be used with activation keys

[root@jsefler-onprem-62server ~]# subscription-manager list --consumed
No Consumed subscription pools to list

Moving to VERIFIED (HOWEVER, I WILL OPEN A SUBSEQUENT BUG REQUESTING THAT THE CALL TO ADD THE "person" POOL TO THE ACTIVATION KEY BE BLOCKED SINCE WE ARE ALLOWING THE SUCCESSFUL ADDITION OF A POOL TO A KEY THAT RENDERS THE KEY USELESS.)

Note You need to log in before you can comment on or make changes to this bug.